// Block

$('.block-header').each(function () {

	var hh = $(this).children('a:not(.button)').outerWidth();

	$(this).prepend('<span class="block-header--border"></span>');

	$(this).children('.block-header--border').css({'width': hh});

	if ( $("html").attr("dir") === 'RTL' )
	{
		$(this).children('.block-tooltip').children('.block-desc').css({'right': hh + 40});
	} else if ( $("html").attr("dir") === 'LTR' )
	{
		$(this).children('.block-tooltip').children('.block-desc').css({'left': hh + 40});
	}

	// Tooltip

	$(".block-header > a").mouseenter(function(){
		$(this).next().children().show();
	});
	$(".block-header > a").mouseleave(function(){
		$(this).next().children().hide();
	});
});

$('.block-minorHeader').each(function(){

	var hhm = $(this).children('a').outerWidth();

	$(this).prepend('<span class="block-minorHeader--border"></span>');

	$(this).children('.block-minorHeader--border').css({'width': hhm});
});

// Block collapse

$('.block-header').append('<div class="block-control block-control--collapse"><i></i></div>');

$('.block-minorHeader').append('<div class="block-control block-control--collapse"><i></i></div>');

$('.block-control--collapse').click(function(e) {
	e.preventDefault();
	var notthis = $('.active').not(this);
 	$(this).parent().toggleClass('active').nextUntil('.block-minorHeader').slideToggle("fast");
});

// Search-control

var wu = $('.p-navgroup-link--user').outerWidth();

!function($){

	$(document).ready(function () {
		$('.p-discovery').ready(function () {
			$('.control-search').click(function (e) {
				if($(this).parent().children('.search-area').hasClass('show')){
					$(this).parent().children('.search-area').removeClass('show');
                }else {
                	$(this).parent().children('.search-area').addClass('show');
                }
                $('.menu').removeClass('is-active');
                e.stopPropagation();
            });
            $('.search-input').click(function (e) {
            	$(this).parent().children('.search-option').addClass('active');
            	e.stopPropagation();
            });
            $('.search-option').click(function (e) {
            	e.stopPropagation();
            })
        });
        $('body, html').click(function () {
        	$('.search-option').removeClass('active');
        	$('.search-area').removeClass('show');
        });

        $('.search-option').css({'left': -120 + wu});
    });

}(jQuery);

// Sidebar-control

var count = 0;
var w2 = $('.p-body-main').width() - 40;
var w3 = $('.p-body-sidebar').width();
$(".block-control--sideBar").click(function() {
	count++;
	var isEven = function(someNumber) {
		return (someNumber % 2 === 0) ? true : false;
	};
	
	if (isEven(count) === false) {
		$(".p-body-content").animate({paddingRight: 0, width: w2}, 500);
		$(".p-body-sidebar").animate({opacity: 0}, 500);
		setTimeout(function() {
			$(".p-body-sidebar").css('display', 'none');
		}, 500);
	}

	else if (isEven(count) === true) {
		setTimeout(function() {
			$(".p-body-sidebar").css('display', 'table-cell');
		}, 0);
		$(".p-body-sidebar").animate({opacity: 1}, 500);
		$(".p-body-content").animate({paddingRight: 20, width: w2 - w3}, 500);
	}
});

// Node-extra-user

$(document).ready(function(){
	$('.node-extra-user').each(function(){
		$(this).prependTo($(this).closest('.listInline'));
	});
});

// StructItem

$(document).ready(function(){
	$('.structItem-cell--latest .structItem-minor > *').each(function(){
		$(this).prependTo($(this).closest('.structItem-cell--latest'));
	});

	$('.structItem-latestDate').parent('').each(function(){
		$(this).prependTo($(this).siblings('.structItem-minor'));
	});
});

/* Footer */

$('.p-footer').append('<div class="p-footer-bottom"><div class="p-footer-inner"></div></div>');
$('.p-footer-debug').appendTo($('.p-footer-bottom > .p-footer-inner'));

$('.p-footer').each(function() {
	if ( $('.p-footer').has('.p-footer-top').length && !$('.p-footer').has('.p-footer-middle').length ) {
		$(this).children('.p-footer-top').children('.p-footer-inner').append('<div class="BRCopyright"><div class="content-brcpright"><a href="http://brivium.com/xenforo-add-ons" class="item-brcp" title="Brivium XenForo Add-ons">XenForo Add-ons</a><span>&nbsp;&amp;&nbsp;</span><a href="http://brivium.com/xenforo-styles" class="item-brcp" title="Brivium XenForo Styles">XenForo Styles</a><span> ™  © 2012-2018 Brivium LLC.</span></div></div>');
	} else if ( $('.p-footer').has('.p-footer-top').length && $('.p-footer').has('.p-footer-middle').length ) {
		$(this).children('.p-footer-middle').children('.p-footer-inner').append('<div class="BRCopyright"><div class="content-brcpright"><a href="http://brivium.com/xenforo-add-ons" class="item-brcp" title="Brivium XenForo Add-ons">XenForo Add-ons</a><span>&nbsp;&amp;&nbsp;</span><a href="http://brivium.com/xenforo-styles" class="item-brcp" title="Brivium XenForo Styles">XenForo Styles</a><span> ™  © 2012-2018 Brivium LLC.</span></div></div>');
	} else {
		$(this).children('.p-footer-inner').append('<div class="BRCopyright"><div class="content-brcpright"><a href="http://brivium.com/xenforo-add-ons" class="item-brcp" title="Brivium XenForo Add-ons">XenForo Add-ons</a><span>&nbsp;&amp;&nbsp;</span><a href="http://brivium.com/xenforo-styles" class="item-brcp" title="Brivium XenForo Styles">XenForo Styles</a><span> ™  © 2012-2018 Brivium LLC.</span></div></div>');
	}
});

$('.BRCopyright').css({'float': 'left', 'marginTop': 2, 'marginBottom': 2});

/* Footer -- End */

// Bonus

$('.block-row + .block-row').before('<div class="block-separator"></div>');

$('.button').closest('dl.formRow:not(.formSubmitRow, .formSubmitRow--sticky)').children('dd').addClass('formButtonGroup');

$('.block-outer-opposite:has(.is-hidden)').hide();

$('.showIgnoredLink').click(function () {
	$(this).parent().css({'padding': 0});
});

$(document).ready(function(){
	$('.message-attribution').each(function(){
		$(this).insertAfter($(this).siblings('.message-content'));
	});

	$('.message-attribution-main').each(function(){
		$(this).prependTo($(this).parent('').siblings('.message-footer').children('.message-actionBar').children('.actionBar-set--internal'));
	});

	$('.message-attribution-opposite').each(function(){
		$(this).appendTo($(this).parent('').siblings('.message-footer').children('.message-actionBar').children('.actionBar-set--external'));
	});
});